package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.TbFamily;
import com.ruoyi.app.domain.TbFamilyEvents;
import com.ruoyi.app.service.ITbFamilyService;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbFamilyGardenMapper;
import com.ruoyi.app.domain.TbFamilyGarden;
import com.ruoyi.app.service.ITbFamilyGardenService;

import java.util.List;

/**
 * 家族园地
 *
 * @author liuhj
 * @date 2020-10-14
 */
@Service
public class TbFamilyGardenServiceImpl extends ServiceImpl<TbFamilyGardenMapper, TbFamilyGarden> implements ITbFamilyGardenService {
    @Autowired
    private ITbFamilyService familyService;


    @Override
    public List<TbFamilyGarden> queryList(TbFamilyGarden  entity) {
        LambdaQueryWrapper<TbFamilyGarden> lqw = new LambdaQueryWrapper<TbFamilyGarden>().orderByDesc(TbFamilyGarden::getCreateTime);
        if (entity.getFamilyId() != null){
            lqw.eq(TbFamilyGarden::getFamilyId ,entity.getFamilyId());
        }
        if (StringUtils.isNotBlank(entity.getTitle())){
            lqw.like(TbFamilyGarden::getTitle ,entity.getTitle());
        }
        List<TbFamilyGarden> list = this.list(lqw);
        list.forEach(item->{
            TbFamily family = familyService.getById(item.getFamilyId());
            item.setFamily(family);
        });

        return list;
    }
}
